using e_suite.API.Common.exceptions;
using e_suite.API.Common.UnitTests.helper;
using NUnit.Framework;

namespace e_suite.API.Common.UnitTests;

[TestFixture]
public class ExceptionUnitTests
{
    [TestCase(typeof(ExistsException))]
    [TestCase(typeof(InvalidEmailException))]
    [TestCase(typeof(InvalidReferenceObjectId))]
    [TestCase(typeof(MaximumRangeException))]
    [TestCase(typeof(MinimumRangeException))]
    [TestCase(typeof(NotFoundException))]
    [TestCase(typeof(TokenInvalidException))]
    [TestCase(typeof(WeakPasswordException))]
    public void ExistsException_PerformExcpetionTests(Type testcase)
    {
        ExceptionTester.PerformTestSuite(testcase);
    }
}